---
updatedAt: 2025-04-25T09:11:08.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Get All Flow api

Use this API to get a list of all flows.

## Request Parameters

| Key           | Description                      | Value                     | Data type | Required/Optional | Constraints                                |
| :------------ | :------------------------------- | :------------------------ | :-------- | :---------------- | :----------------------------------------- |
| Authorization | Access Token for the application | \{\{PARTNER\_APP\_TOKEN}} | String    | Required          | Should be a valid Partner App Access Token |
| appId         | App ID to fetch the access token | \{\{APP\_ID}}             | String    | Required          | The Id should be a valid app Id of Gupshup |

## Sample Request

```curl
curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json'
```

## Sample Response

```
[
    {
        "categories": [
            "APPOINTMENT_BOOKING"
        ],
        "id": "460785803057688",
        "name": "Message templates_delivery_failed_form_1_APPOINTMENT_BOOKING_93375",
        "status": "PUBLISHED",
        "validation_errors": []
    },
    {
        "categories": [
            "SIGN_UP"
        ],
        "id": "881255207342075",
        "name": "Message templates_temp_signup_form_MARKETING_e7589",
        "status": "PUBLISHED",
        "validation_errors": []
    },
    {
        "categories": [
            "SIGN_UP"
        ],
        "id": "356169917364619",
        "name": "flow_sign_up",
        "status": "PUBLISHED",
        "validation_errors": []
    }
]
```

## Status Codes

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Status Code
      </th>

      <th>
        Response
      </th>

      <th>
        Comments
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **Success**
      </td>

      <td>

      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        200
      </td>

      <td>
        \[
          
            \{
                "categories": [
                    "APPOINTMENT_BOOKING"
                ],
                "id": "460785803057688",
                "name": "Message templates_delivery_failed_form_1_APPOINTMENT_BOOKING_93375",
                "status": "PUBLISHED",
                "validation_errors": []
            },
            \{
                "categories": [
                    "SIGN_UP"
                ],
                "id": "881255207342075",
                "name": "Message templates_temp_signup_form_MARKETING_e7589",
                "status": "PUBLISHED",
                "validation_errors": []
            },
            \{
                "categories": [
                    "SIGN_UP"
                ],
                "id": "356169917364619",
                "name": "flow_sign_up",
                "status": "PUBLISHED",
                "validation_errors": []
            }
        ]
      </td>

      <td>
        Get all flows associated to app ID
      </td>
    </tr>

    <tr>
      <td>
        **Error**
      </td>

      <td>

      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        401
      </td>

      <td>
        \{
          
            "status": "error",
            "message": "Unauthorised access to the resource. Please review request parameters and headers and retry"
        }
      </td>

      <td>
        For invalid app Id or partner app token
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Partner Portal API",
    "description": "Partner Portal API documentation",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.gupshup.io"
    },
    "version": "3.0.0-SNAPSHOT"
  },
  "externalDocs": {
    "description": "Gupshup Wiki Documentation",
    "url": "https://www.gupshup.io/partner/docs"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io/partner",
      "description": "Generated server url"
    }
  ],
  "tags": [
    {
      "name": "Flow management",
      "description": "API's for partners flow management"
    }
  ],
  "paths": {
    "/app/{appId}/flows": {
      "get": {
        "tags": [
          "Flow management"
        ],
        "summary": "Get All Flow api",
        "operationId": "getallflow",
        "parameters": [
          {
            "name": "token",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Your app token, please refer [**Get access token api**](https://partner-docs.gupshup.io/reference/get_partner-app-appid-token#/) to get the token from partner documentation.",
            "example": "sk_345095d735c64a8ab2f97a92e953xxxx"
          },
          {
            "name": "appId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Unique identifier of the app.",
            "example": "a41b30f4-d202-4fdb-911e-3a8fbfbfxxxx"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Flow"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - no permissions to access resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "required": [
          "entity",
          "status"
        ],
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "Status Code",
            "format": "int32"
          },
          "message": {
            "type": "string",
            "description": "Error message describing the reason "
          },
          "details": {
            "type": "string",
            "description": "Developer specific error details "
          },
          "code": {
            "type": "string",
            "description": "Internal Error Code",
            "default": "PP-ERR-XXX"
          },
          "entity": {
            "type": "object",
            "description": "Response Object"
          }
        },
        "description": "Error"
      },
      "Flow": {
        "type": "object",
        "properties": {
          "validation_errors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "json_version": {
            "type": "string"
          },
          "data_api_version": {
            "type": "string"
          },
          "endpoint_uri": {
            "type": "string"
          },
          "preview": {
            "$ref": "#/components/schemas/Preview"
          },
          "whatsapp_business_account": {
            "$ref": "#/components/schemas/WhatsappBusinessAccount"
          },
          "application": {
            "$ref": "#/components/schemas/SsApplication"
          },
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "categories": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "Preview": {
        "type": "object",
        "properties": {
          "expires_at": {
            "type": "string"
          },
          "preview_url": {
            "type": "string"
          }
        }
      },
      "SsApplication": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "link": {
            "type": "string"
          },
          "name": {
            "type": "string"
          }
        }
      },
      "WhatsappBusinessAccount": {
        "type": "object",
        "properties": {
          "message_template_namespace": {
            "type": "string"
          },
          "timezone_id": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          }
        }
      }
    }
  }
}
```